Bug 64474 - cvs diff can't handle diff options
cvs diff can't handle diff options
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: cvs (Show other bugs)
7.1
i386 Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-06 10:31 EDT by Mark H Johnson
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 08:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script that works (638 bytes, text/plain)
2002-05-06 10:33 EDT, Mark H Johnson
no flags Details
Script that does not work (616 bytes, text/plain)
2002-05-06 10:34 EDT, Mark H Johnson
no flags Details

  None (edit)
Description Mark H Johnson 2002-05-06 10:31:41 EDT
Description of Problem:
Not sure if this is a problem with...
 - cvs diff
 - rcsdiff
or something else. Most likely cvs is broke and rcsdiff may have similar
problems. According to the man page, cvs diff will pass through parameters
to rcsdiff (which passes them through to diff) when doing a file comparison.
The bug is shown if blanks appear in any of the arguments. Have also checked
on a system with Skipjack beta 2, no change in behavior there either.

Version-Release number of selected component (if applicable):


How Reproducible:
Attaching a script that works and one that fails to properly compare and
print out the differences in a file [changes highlighted by enscript]. Using
a checked out copy of a CVS directory, make a change to a file & run this
script like this...
  code_review.OK file printer
to generate the good results. You can also do
  code_review file printer
to generate the failing results.

Steps to Reproduce:
1. See above.
2. 
3. 

Actual Results:
Errors shown when running script, output not correct.

Expected Results:
Correct output.

Additional Information:
	Will be attaching two files, code_review.OK works properly using
octal codes for spaces; code_review attempts to use various quoting methods
with the spaces & none have worked.
Comment 1 Mark H Johnson 2002-05-06 10:33:39 EDT
Created attachment 56425 [details]
Script that works
Comment 2 Mark H Johnson 2002-05-06 10:34:30 EDT
Created attachment 56426 [details]
Script that does not work
Comment 3 Martin Stransky 2005-03-15 08:39:28 EST
Yes, you can't use spaces in cvs diff command. I sent patch to cvs
upstream.

Note You need to log in before you can comment on or make changes to this bug.